<?xml version="1.0" encoding="UTF_8"?>
<DualCameraMatchCap>
    <tag key="HAL_PRIVATE_DCM_SUPPORTED_ZOOM_RATIO_RANGE" type="int32_t">
        <value type="string2Enum">CAMERA_PRIVATE_SM_BURST</value> <!-- scene -->
        <value>0</value> <!-- min user zoom ratio * 1000 -->
        <value>12200</value> <!-- max user zoom ratio * 1000 -->
        <value>0</value> <!-- dmap min user zoom ratio * 1000 -->
        <value>12200</value> <!-- dmap max user zoom ratio * 1000 -->
        <value>5000</value> <!-- dmap fixed/threshold zoom ratio * 1000 -->
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_CAPTURE</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_NORMAL_VIDEO</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PROFESSIONAL_VIDEO</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_MOVING_PICTURE</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PERFORMANCE_CAPTURE</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_CAPTURE</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_THIRDCAM_NORMAL_VIDEO</value>
        <value>899</value>
        <value>12200</value>
        <value>1500</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_APERTURE_VIDEO</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_PORTRAIT_DUAL</value>
        <value>0</value>
        <value>12200</value>
        <value>0</value>
        <value>12200</value>
        <value>5000</value>
        <value type="string2Enum">CAMERA_PRIVATE_SM_MAX</value>
        <value>899</value>
        <value>12200</value>
        <value>2950</value>
        <value>12200</value>
        <value>5000</value>
    </tag>
    <tag key="HAL_PRIVATE_DCM_SUPPORTED_SUPER_MACRO_ZOOM_RATIO_RANGE" type="int32_t">
        <value type="string2Enum">MACRO_PHOTO_TELE</value> <!-- macro mode -->
        <value>0</value> <!-- min user zoom ratio * 1000 -->
        <value>15000</value> <!-- max user zoom ratio * 1000 -->
        <value>12200</value> <!-- fixed threshold user zoom ratio * 1000 -->
        <value>12200</value> <!-- sketch fixed fov ratio * 1000 -->
        <value>0</value> <!-- sketch stab loss * 1000 -->
        <value>0</value> <!-- dmap min user zoom ratio * 1000 -->
        <value>12200</value> <!-- dmap max user zoom ratio * 1000 -->
        <value>5000</value> <!-- dmap fixed/threshold zoom ratio * 1000 -->
        <value type="string2Enum">NORMAL_PREVIEW</value> <!-- preview mode -->
    </tag>
    <tag key="HAL_PRIVATE_DCM_SUPPORTED_MOON_ZOOM_RATIO_RANGE" type="int32_t">
        <value>900</value> <!-- min user zoom ratio * 1000 -->
        <value>9999</value> <!-- max user zoom ratio * 1000 -->
        <value>0</value> <!-- fixed threshold user zoom ratio * 1000 -->
        <value>0</value> <!-- sketch fixed fov ratio * 1000 -->
        <value>0</value> <!-- dmap min user zoom ratio * 1000 -->
        <value>0</value> <!-- dmap max user zoom ratio * 1000 -->
        <value>0</value> <!-- dmap fixed/threshold zoom ratio * 1000 -->
        <value type="string2Enum">NORMAL_PREVIEW</value> <!-- preview mode -->
        <value>10000</value>
        <value>102000</value>
        <value>10000</value>
        <value>7333</value> <!-- 6.6 / 0.9-->
        <value>0</value>
        <value>0</value>
        <value>0</value>
        <value type="string2Enum">SLAVE_PREVIEW</value>
    </tag>
</DualCameraMatchCap>
